Update cases

Base URL
https://{kibana_url}
Auth

You must have all privileges for the Cases feature in the Management, Observability, or Security section of the Kibana feature privileges, depending on the owner of the case you're updating.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Header parameters

kbn-xsrf string required

Cross-site request forgery protection

Request body

cases object[] · min items: 1 · max items: 100 required

An array containing one or more case objects.

category string · max length: 50

A word or phrase that categorizes the case.

connector union oneOf
One of:

Defines properties for connectors when type is .none.

type enum required

The type of connector. To create a case without a connector, use .none. To update a case to remove the connector, specify .none.

Values: .none
fields string required nullable

An object containing the connector fields. To create a case without a connector, specify null. To update a case to remove the connector, specify null.

id string required

The identifier for the connector. To create a case without a connector, use none. To update a case to remove the connector, specify none.

name string required

The name of the connector. To create a case without a connector, use none. To update a case to remove the connector, specify none.

description string · max length: 30000

The description for the case.

id string · max length: 30000 required

The identifier for the case.

severity enum · default: low

The severity of the case.

Values: critical high low medium
status enum

The status of the case.

Values: closed in-progress open
tags string[] · max items: 200

The words and phrases that help categorize cases. It can be an empty array.

title string · max length: 160

A title for the case.

version string required

The current version of the case. To determine this value, use the get case or find cases APIs.

Responses

Indicates a successful call.

application/json
<array> object[]
category string nullable

The case category.

closed_at string · format: date-time required nullable
closed_by object required nullable
email string required nullable
full_name string required nullable
profile_uid string
username string required nullable
comments union oneOf[] · max items: 10000 required

An array of comment objects for the case.

One of:
type enum required
Values: alert
alertId string[]
created_at string · format: date-time
id string
index string[]
owner enum

The application that owns the cases: Stack Management, Observability, or Elastic Security.

Values: cases observability securitySolution
pushed_at string · format: date-time nullable
updated_at string · format: date-time nullable
version string
connector union oneOf required
One of: (determined by type)
type: .none

Defines properties for connectors when type is .none.

type enum required

The type of connector. To create a case without a connector, use .none. To update a case to remove the connector, specify .none.

Values: .none
fields string required nullable

An object containing the connector fields. To create a case without a connector, specify null. To update a case to remove the connector, specify null.

id string required

The identifier for the connector. To create a case without a connector, use none. To update a case to remove the connector, specify none.

name string required

The name of the connector. To create a case without a connector, use none. To update a case to remove the connector, specify none.

created_at string · format: date-time required
created_by object required
email string required nullable
full_name string required nullable
profile_uid string
username string required nullable
description string required
duration integer required nullable

The elapsed time from the creation of the case to its closure (in seconds). If the case has not been closed, the duration is set to null. If the case was closed after less than half a second, the duration is rounded down to zero.

external_service object required nullable
connector_id string
connector_name string
external_id string
external_title string
external_url string
pushed_at string · format: date-time
id string required
owner enum required

The application that owns the cases: Stack Management, Observability, or Elastic Security.

Values: cases observability securitySolution
settings object required

An object that contains the case settings.

syncAlerts boolean required

Turns alert syncing on or off.

severity enum · default: low required

The severity of the case.

Values: critical high low medium
status enum required

The status of the case.

Values: closed in-progress open
tags string[] required
title string required
totalAlerts integer required
totalComment integer required
updated_at string · format: date-time required nullable
updated_by object required nullable
email string required nullable
full_name string required nullable
profile_uid string
username string required nullable
version string required
Base URL
https://{kibana_url}